ids and send toolIds. tools and providerTools are for reading only.curl --location 'https://apigw.klinkcx.com/api/v1/ai-agents/6ad97ee52845b4f2c8daca55/flow?version=draft' \
--header 'Authorization: Bearer <token>'{
"requestId": "string",
"data": {
"id": "string",
"status": "draft",
"version": "string",
"model": "string",
"savedAt": "string",
"nodes": [
{
"id": "string",
"type": "startingPoint",
"label": "string",
"position": {
"x": 0,
"y": 0
},
"instruction": "string",
"toolIds": [
"string"
],
"tools": [
{
"id": "string",
"name": "string",
"description": "string"
}
],
"providerTools": [
{
"id": "string",
"name": "string"
}
],
"knowledgeSourceIds": [
"string"
],
"vectorStoreIds": [
"string"
],
"correction": true,
"correctionGroupIds": [
"string"
],
"waitSeconds": 0
}
],
"edges": [
{
"id": "string",
"source": "string",
"target": "string",
"sourceHandle": "string",
"targetHandle": "string"
}
]
}
}